package de.cardcontact.android.ocf.sample;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.os.Process;
import android.preference.PreferenceManager;
import android.text.method.ScrollingMovementMethod;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class SettingsActivity extends MainMenuActivity {
	//	The EditText that stores the user entered server IP address
	static EditText edit_serverip;
	//	The EditText that stores the user entered server port number
	static EditText edit_serverport;
	//	The EditText that stores the user entered PIN
	static EditText edit_pin;


	//  The Button that handles the save preference activity
	Button submitPref_buttonz;
	SharedPreferences preferences;
	SharedPreferences.Editor editor;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_preferences);

		// Get Server details from Shared Preference file.
		submitPref_buttonz = (Button) findViewById(R.id.submitPref_button);
		edit_serverip = (EditText) findViewById(R.id.edittext_serverip);
		edit_serverport = (EditText) findViewById(R.id.edittext_serverport);
		edit_pin = (EditText) findViewById(R.id.edittext_pin);
		preferences = PreferenceManager.getDefaultSharedPreferences(this);
		
		edit_serverip.setText(preferences.getString("serverip", "192.168.1.1"));
		edit_serverport.setText(preferences.getString("serverport", "8080"));
		edit_pin.setText(preferences.getString("pin", "648219"));
		
		editor = preferences.edit();
		submitPref_buttonz.setOnClickListener(new View.OnClickListener() {@Override
			public void onClick(View v) {				
				setPreferences();
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.settings_menu, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.back_s) {
			Intent main = new Intent(this, MainActivity.class);
			startActivity(main);
			return true;
		}
		else if (id == R.id.exit_s) {
			moveTaskToBack(true);
			Process.killProcess(Process.myPid());
			System.exit(0);
		}
		return true;
	}

	protected void setPreferences() {
		String serverportSaved = edit_serverport.getText().toString();
		String serveripSaved = edit_serverip.getText().toString();
		String pinSaved = edit_pin.getText().toString();

		editor.putString("serverip", serveripSaved);
		editor.putString("serverport", serverportSaved);
		editor.putString("pin", pinSaved);
		editor.commit();
		Toast.makeText(this, "Configuration saved", Toast.LENGTH_LONG).show();
		finish();
	}
}